Summary: The NSS LDAP modules
Name: nss_ldap
Version: 220
Release: 2tr
License: LGPL
URL: http://www.padl.com/
Source0: http://www.padl.com/download/%{name}-%{version}.tar.gz
Group: Trustix Official
BuildRoot: /var/tmp/%{name}-root
Requires: ldapclients-common
Patch0: nss_ldap_CAN-2005-2069.patch

%description
This package includes a LDAP access client: nss_ldap.
Nss_ldap is a set of C library extensions which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).


Install nss_ldap if you need LDAP access clients.


%prep
%setup -q
%patch0 -p1

%build
aclocal
autoconf
automake
./configure \
--enable-rfc2307bis \
--enable-schema-mapping

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib,usr/lib}
make DESTDIR=$RPM_BUILD_ROOT install 

chmod 755 $RPM_BUILD_ROOT/lib/*.so*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%attr(0755,root,root) /lib/*.so*
%attr(0755,root,root) /usr/lib/*.so*
%doc ANNOUNCE README ChangeLog AUTHORS NEWS COPYING
%doc nsswitch.ldap

%changelog
* Thu Jul 14 2005 Bipin S <bipin at comodo dot com> 220-2tr
- Fixes Plain text authentication leak (CAN-2005-2069) 

* Mon Sep 27 2004 Nageswara Sastry <nageswara at comodo dot com> 220-1tr
- Upgraded to version 220-1tr from 212-3tr

* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot com> 212-1tr
- Added --enable-rfc2307bis and --enable-schema-mapping to configure.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 207-3tr
- Big rebuild

* Tue Jun 17 2003 Chr. Toldnes <christht at trustix dot com> 207-2ct
- Now req ldapclients-common for ldap.conf

* Tue Jun 17 2003 Erlend Midttun <erlendbm at trustix dot com> 207-1em
- Initial build.

